03.11.2013, 10:47 | #101 | |||||||||||
Profi
Registriert seit: 12.01.2011
Ort: @home
Alter: 42
Beitr?ge: 584
Abgegebene Danke: 99
Erhielt 136 Danke für 35 Beiträge
Downloads: 4
Uploads: 0 Nachrichten: 747 Renommee-Modifikator:
1641 |
Jop ken thema.
Schreib mich privat an. Den User mit home verzeichniss legst mit adduser an Danach passwd (dein angelegter user name) en simplen user legst du mit useradd an danach wieder passwd (dein username)
__________________
il faut de tout pour faire un monde. Ge?ndert von pat (03.11.2013 um 11:25 Uhr) |
|||||||||||
14.11.2013, 13:17 | #102 | |||||||||||
Benutzer
Registriert seit: 07.05.2010
Beitr?ge: 60
Abgegebene Danke: 15
Erhielt 2 Danke für 1 Beitrag
Downloads: 0
Uploads: 0 Nachrichten: 22 Renommee-Modifikator:
79 |
Weiß einer wie ich den Parameter für HTTPS-Torrents (also -o http_capath=/etc/ssl/certs) in dieses Startscript einbinde?:
Klicke hier, um den gesamten Text zu sehen
#!/bin/sh ############# ###<Notes>### ############# # This script depends on screen. # For the stop function to work, you must set an # explicit session directory using ABSOLUTE paths (no, ~ is not absolute) in your rtorrent.rc. # If you typically just start rtorrent with just "rtorrent" on the # command line, all you need to change is the "user" option. # Attach to the screen session as your user with # "screen -dr rtorrent". Change "rtorrent" with srnname option. # Licensed under the GPLv2 by lostnihilist: lostnihilist _at_ gmail _dot_ com ############## ###</Notes>### ############## ####################### ##Start Configuration## ####################### # You can specify your configuration in a different file # (so that it is saved with upgrades, saved in your home directory, # or whateve reason you want to) # by commenting out/deleting the configuration lines and placing them # in a text file (say /home/user/.rtorrent.init.conf) exactly as you would # have written them here (you can leave the comments if you desire # and then uncommenting the following line correcting the path/filename # for the one you used. note the space after the ".". # . /etc/rtorrent.init.conf #Do not put a space on either side of the equal signs e.g. # user = user # will not work # system user to run as user="netshadow" # the system group to run as, not implemented, see d_start for beginning implementation # group=`id -ng "$user"` # the full path to the filename where you store your rtorrent configuration config="`su -c 'echo $HOME' $user`/.rtorrent.rc" # set of options to run with options="" # default directory for screen, needs to be an absolute path base="`su -c 'echo $HOME' $user`" # name of screen session srnname="rtorrent" # file to log to (makes for easier debugging if something goes wrong) logfile="/var/log/rtorrentInit.log" ####################### ###END CONFIGURATION### ####################### PATH=/usr/bin:/usr/local/bin:/usr/local/sbin:/sbin:/bin:/usr/sbin DESC="rtorrent" NAME=rtorrent DAEMON=$NAME SCRIPTNAME=/etc/init.d/$NAME checkcnfg() { exists=0 for i in `echo "$PATH" | tr ':' '\n'` ; do if [ -f $i/$NAME ] ; then exists=1 break fi done if [ $exists -eq 0 ] ; then echo "cannot find rtorrent binary in PATH $PATH" | tee -a "$logfile" >&2 exit 3 fi if ! [ -r "${config}" ] ; then echo "cannot find readable config ${config}. check that it is there and permissions are appropriate" | tee$ exit 3 fi session=`getsession "$config"` if ! [ -d "${session}" ] ; then echo "cannot find readable session directory ${session} from config ${config}. check permissions" | tee -a$ exit 3 fi } d_start() { [ -d "${base}" ] && CD "${base}" stty stop undef && stty start undef su -c "screen -LS | grep -sq "\.${srnname}[[:space:]]" " ${user} || su -c "screen -dm -S ${srnname} 2>&1 1>/dev/$ # this works for the screen command, but starting rtorrent below adopts screen session gid # even if it is not the screen session we started (e.g. running under an undesirable gid #su -c "screen -LS | grep -sq "\.${srnname}[[:space:]]" " ${user} || su -c "sg \"$group\" -c \"screen -fn -dm -S$ su -c "screen -S "${srnname}" -X screen rtorrent ${options} 2>&1 1>/dev/null" ${user} | tee -a "$logfile" >&2 } d_stop() { session=`getsession "$config"` if ! [ -s ${session}/rtorrent.lock ] ; then return fi pid=`cat ${session}/rtorrent.lock | awk -F: '{print($2)}' | sed "s/[^0-9]//g"` if ps -A | grep -sq ${pid}.*rtorrent ; then # make sure the pid doesn't belong to another process kill -s INT ${pid} fi } getsession() { session=`cat "$1" | grep "^[[:space:]]*session[[:space:]]*=" | sed "s/^[[:space:]]*session[[:space:]]*=[[:spac$ echo $session } checkcnfg case "$1" in start) echo -n "Starting $DESC: $NAME" d_start echo "." ;; stop) echo -n "Stopping $DESC: $NAME" d_stop echo "." ;; restart|force-reload) echo -n "Restarting $DESC: $NAME" d_stop sleep 1 d_start echo "." ;; *) echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2 exit 1 ;; esac exit 0 Oder lässt sich die Unterstützung dafür auch irgendwie anders aktivieren? Grüße Ge?ndert von netshadow (15.11.2013 um 01:16 Uhr) |
|||||||||||
28.11.2013, 17:21 | #103 | |||||||||||
Neuling
Registriert seit: 30.09.2011
Beitr?ge: 12
Abgegebene Danke: 0
Erhielt 0 Danke für 0 Beiträge
Downloads: 5
Uploads: 0 Nachrichten: 16 Renommee-Modifikator:
0 |
Moin netshadow,
deaktiviere doch einfach die Zertifikatsabfrage, indem Du folgendes in Deiner .rtorrent.rc einfügst: Code:
network.http.ssl_verify_peer.set=0 |
|||||||||||
30.11.2013, 05:09 | #104 |
Ausbilder Schmidt
Registriert seit: 30.10.2008
Ort: Essen (Ruhr) Ruhrpott4Ever :D
Alter: 36
Beitr?ge: 2.665
Abgegebene Danke: 107
Erhielt 1.644 Danke für 154 Beiträge
Downloads: 43
Uploads: 1 Nachrichten: 3942 Renommee-Modifikator:
10 |
Das funktioniert aber nur bei neueren Versionen von rtorrent
__________________
|
28.12.2013, 20:17 | #105 | ||||||||||||
Neuling
Registriert seit: 28.12.2013
Beitr?ge: 4
Abgegebene Danke: 1
Erhielt 0 Danke für 0 Beiträge
Downloads: 0
Uploads: 0 Nachrichten: 0 Renommee-Modifikator:
0 |
Zitat:
Würde mich ja auch interessieren, wie du das umgebaut bekommen hast, damit es funktioniert... |
||||||||||||
28.12.2013, 20:39 | #106 | |||||||||||
König
Registriert seit: 06.09.2008
Ort: Da wo der Himmel neun schlägt...
Beitr?ge: 1.630
Abgegebene Danke: 253
Erhielt 1.103 Danke für 139 Beiträge
Downloads: 89
Uploads: 3 Nachrichten: 3824 Renommee-Modifikator:
3461 |
Wie währe es mal mit Dr. Google?
__________________
Chaosqueen: Gegen unseren DDos Schutz hat keiner ne Chance.
Ich: Träum mal schön weiter du Naive Person. |
|||||||||||
28.12.2013, 21:09 | #107 | |||||||||||
Profi
Registriert seit: 12.01.2011
Ort: @home
Alter: 42
Beitr?ge: 584
Abgegebene Danke: 99
Erhielt 136 Danke für 35 Beiträge
Downloads: 4
Uploads: 0 Nachrichten: 747 Renommee-Modifikator:
1641 |
__________________
il faut de tout pour faire un monde. Ge?ndert von pat (28.12.2013 um 21:58 Uhr) |
|||||||||||
31.12.2013, 12:49 | #108 | |||||||||||
Neuling
Registriert seit: 28.12.2013
Beitr?ge: 4
Abgegebene Danke: 1
Erhielt 0 Danke für 0 Beiträge
Downloads: 0
Uploads: 0 Nachrichten: 0 Renommee-Modifikator:
0 |
War auch dumme Frage, zugegeben, aber war müde und genervt xD
Habe leider Berechtigungsprobleme bei den symlinks. Ohne geht alles einwandfrei. Genau nach Anleitung gemacht, aber läuft einfach nciht. Hat wer n Tipp für mich? Code:
Webserver user doesn't have read/write/execute access to the torrents directory. You cannot add torrents via ruTorrent |
|||||||||||
31.12.2013, 12:55 | #109 | |||||||||||
Profi
Registriert seit: 12.01.2011
Ort: @home
Alter: 42
Beitr?ge: 584
Abgegebene Danke: 99
Erhielt 136 Danke für 35 Beiträge
Downloads: 4
Uploads: 0 Nachrichten: 747 Renommee-Modifikator:
1641 |
kuk mal der erste treffer bei Google
http://code.google.com/p/rutorrent/wiki/ErrorMessages rechte überall angepasst?? Code:
chmod-R 0777
__________________
il faut de tout pour faire un monde. |
|||||||||||
31.12.2013, 13:04 | #110 | ||||||||||||
Neuling
Registriert seit: 28.12.2013
Beitr?ge: 4
Abgegebene Danke: 1
Erhielt 0 Danke für 0 Beiträge
Downloads: 0
Uploads: 0 Nachrichten: 0 Renommee-Modifikator:
0 |
Zitat:
Japp, LS -al vom symlink lrwxrwxrwx 1 *apacheuser* *apacheuser* 21 Dec 31 12:14 torrents -> _PATH_FILES/_USER und vom Ziel also _PATH_FILES/_USER drwxrwxrwt 2 _USER _USER 4096 Dec 31 12:20 _USER * =! anonymisiert [edit] Problem solved open_basedir war das Zauberwort - Hätte ich auch letztes Jahr schon drauf kommen können Ge?ndert von fabs (02.01.2014 um 18:32 Uhr) |
||||||||||||
Stichworte |
debian, multiuser webui, rtorrent, rutorrent |
Aktive Benutzer in diesem Thema: 2 (Registrierte Benutzer: 0, G?ste: 2) | |
|
|